Package org.apache.groovy.contracts.common.impl.lc

# Class ClassInvariantLifecycle

java.lang.Object
org.apache.groovy.contracts.common.base.BaseLifecycle
org.apache.groovy.contracts.common.impl.lc.ClassInvariantLifecycle

All Implemented Interfaces:
  `Lifecycle`

public class ClassInvariantLifecycle extends BaseLifecycle
Internal `Lifecycle` implementation for class-invariants.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClassInvariantLifecycle()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `afterProcessingConstructorNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode constructorNode)`
  Adds class-invariant checks to an eligible constructor after contract metadata has been assembled.
  `void`
  `afterProcessingMethodNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode methodNode)`
  Adds class-invariant checks to an eligible method after contract metadata has been assembled.

  ### Methods inherited from class org.apache.groovy.contracts.common.base.BaseLifecycle

  `afterProcessingClassNode, beforeProcessingClassNode, beforeProcessingConstructorNode, beforeProcessingMethodNode`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ClassInvariantLifecycle

    public ClassInvariantLifecycle()

- ## Method Details

  - ### afterProcessingMethodNode

    public void afterProcessingMethodNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode methodNode)
    Adds class-invariant checks to an eligible method after contract metadata has been assembled.
    Specified by:
      `afterProcessingMethodNode` in interface `Lifecycle`
    Overrides:
      `afterProcessingMethodNode` in class `BaseLifecycle`
    Parameters:
      `processingContextInformation` - the current processing context
      `classNode` - the declaring class
      `methodNode` - the method to update

  - ### afterProcessingConstructorNode

    public void afterProcessingConstructorNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode constructorNode)
    Adds class-invariant checks to an eligible constructor after contract metadata has been assembled.
    Specified by:
      `afterProcessingConstructorNode` in interface `Lifecycle`
    Overrides:
      `afterProcessingConstructorNode` in class `BaseLifecycle`
    Parameters:
      `processingContextInformation` - the current processing context
      `classNode` - the declaring class
      `constructorNode` - the constructor to update